﻿using DIMultipleImplementationOfService.Services;
using Microsoft.AspNetCore.Mvc;

namespace DIMultipleImplementationOfService.Controllers
{
    [ApiController]
    [Route("[controller]")]
    public class NegativeValuesController : ControllerBase
    {
        private readonly IValuesService _valuesService;
        public NegativeValuesController(IValuesServiceFactory valuesServiceFactory)
        {
            _valuesService = valuesServiceFactory.GetValuesService();
        }

        [HttpGet]
        public ActionResult Get()
        {
           return Ok(_valuesService.GetValue());
        }
    }
}
